# radial distribution calculation


#import python modules
import numpy as np
import time

#import atom writing library
import atomwrite

import sys
import os

# params
N = 50
rho = 0.08
L = (N/rho)**(1./3.)
NumShells = 500
dr = L/NumShells # L?

fhist = open("histogram.txt", "w")

# read coordinates
with open("restate.pdb") as f:
    Lines = f.readlines()
    NumAtoms = len(Lines) - 3
    Dim=3
    Pos = np.zeros((NumAtoms,Dim), dtype=float)
    for Atom,Line in enumerate(Lines[1:-2]):
        SplitLine = Line.split()
        Pos[Atom,:] = SplitLine[5:8]

# Calc radial distr
Hist = np.zeros(NumShells, dtype=int)
for i in range(0,NumAtoms):
    for j in range(0,NumAtoms):
        rij = Pos[j,:] - Pos[i,:]
        rij = rij - L * np.round(rij/L)
        d = np.sqrt( np.sum(rij**2.) )
        for Shell in range(0,NumShells):
            LB = dr*float(Shell)
            UB = dr*(float(Shell)+1.)
            if d >= LB and d <= UB:
                Hist[Shell] += 1

for Shell,_ in enumerate(Hist):
    fhist.write(str(float(Shell)*dr) + " " + str(Hist[Shell]) + "\n")

